/*

   Copyright 2010-2013 SRI International

   Licensed under the Apache License, Version 2.0 (the "License"); you may
   not use this file except in compliance with the License. You may obtain
   a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

   The development was supported by National Science Foundation Grant 0932397:
   A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.sim.mason;

import cf.common.Param;
import sim.engine.SimState;

public class SimStateMason extends SimState
{
	SimWorldMason simworld;
	
	public SimStateMason(SimWorldMason simworld) 
	{
		super(Param.SimulationSeed == 0 ? System.currentTimeMillis() : Param.SimulationSeed);
		this.simworld = simworld;
	}

	public void start()
	{
		// super.start();
		// restarting not supported (could be done by moving Mason Controller to SimEngine level)
		// simworld.initialize();
	}
	
}
