package com.sri.optimizing;

import android.app.Activity;
import android.os.Bundle;

import cf.real.RealEngine;
import cf.real.RealWorld;
import cf.app.optimizing.OptimizingRealWorld;

public class MainActivity extends Activity
{
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		new Thread(){
			public void run(){
				try{
					new OptimizingRealEngine().run();
				}catch(Exception e){}
			}
		}.start();
	}
}

class OptimizingRealEngine extends RealEngine
{
	public RealWorld createRealWorld()
	{
		return new OptimizingRealWorld();
	}
}
